<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReadBooking StructType
 * @subpackage Structs
 */
class ReadBooking extends AbstractStructBase
{
    /**
     * The ReadRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ReadRQ
     */
    public $ReadRQ;
    /**
     * Constructor method for ReadBooking
     * @uses ReadBooking::setReadRQ()
     * @param \StructType\JP_ReadRQ $readRQ
     */
    public function __construct(\StructType\JP_ReadRQ $readRQ = null)
    {
        $this
            ->setReadRQ($readRQ);
    }
    /**
     * Get ReadRQ value
     * @return \StructType\JP_ReadRQ|null
     */
    public function getReadRQ()
    {
        return $this->ReadRQ;
    }
    /**
     * Set ReadRQ value
     * @param \StructType\JP_ReadRQ $readRQ
     * @return \StructType\ReadBooking
     */
    public function setReadRQ(\StructType\JP_ReadRQ $readRQ = null)
    {
        $this->ReadRQ = $readRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ReadBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
